7

I installed Redshift 1.11 on Elementary OS Freya but I noticed that the methods list only mentioned the dummy method (which just displays the target gamma in the terminal).

$ redshift -m list
Available adjustment methods:
  dummy

This makes it kind of useless... So I cloned the source, ran ./bootstrap and then ./configure. This indicated that it wouldn't have any of the adjustment methods:

Adjustment methods:
DRM:        no
RANDR:      no
VidMode:        no
Quartz (OSX):   no
WinGDI (Windows):   no

Above it, it indicated missing dependencies:

checking whether to enable RANDR method... missing dependencies
checking whether to enable VidMode method... missing dependencies

The github repo's Hacking docs lists the dependencies:

  • libxcb, libxcb-randr (Optional, for RandR support)
  • libX11, libXxf86vm (Optional, for VidMode support)

These packages I need for Randr or vidmode are not found though.

$ sudo apt-get install libxcb libxcb-randr
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package libxcb
E: Unable to locate package libxcb-randr

$ sudo apt-get install libX11 libXxf86vm
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package libX11
E: Unable to locate package libXxf86vm

I'm not sure how to continue. Does anyone have any tips / leads?

  • f.lux is not good for you? – png2378 Jul 2 '16 at 16:24
  • @MaximTaranov good point, but I was trying to use a opensource solution. – Peter Uithoven Jul 6 '16 at 9:55
0

This is what worked for me:

Download latest source from https://github.com/jonls/redshift/releases/download/v1.11/redshift-1.11.tar.xz

$sudo apt-get install libxcb1-dev libxcb-randr0-dev libx11-dev intltool

Go to extracted redshift folder and

$./configure --prefix=$HOME/redshift/root --with-systemduserunitdir=$HOME/.config/systemd/user --enable-randr

$make; sudo make install

$~/redshift/root/bin/redshift -l your_latitude:your_longitude

Add the last line to your startup application list.

  • downvoters, care to explain? – sojin Jul 4 '16 at 7:41
  • Awesome, after installing those packages the configure indeed enabled randr and then I could start redshift. And I verified it worked by changing the time to nighttime. But why not start redshift-gtk? This enables the gui (indicator and menu in the top bar). – Peter Uithoven Jul 6 '16 at 9:48
  • Wouldn't it be better to copy the binary / binaries to a $PATH folder after make? – Peter Uithoven Nov 14 '16 at 13:06
4

You can install redshift from repository ufficial of Ubuntu/Elementary OS. Just run it in your terminal:

$ sudo apt-get install redshift redshift-gtk

$ sudo apt-get install libxcb1-dev libxcb-randr0-dev libx11-dev

$ sudo apt-get update

$ redshift

I've run it and work!

You can use redshift -h for help, and you can run redshift -m list and use randr/vidmode.
For other help you can use documentation from terminal with man redshift.

  • Thanks for the help! Looking at apt-cache policy redshift I installed it from the official Ubuntu repository: http://nl.archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages. But even after installing redshift-gtk explicitly and installing those additional packages, libcb1-dev, libxcb-randr0-dev etc redshift -m list still only lists dummy as option. I understood from the developers that these options are enabled when building the package, depending on which packages are present. Doesn't this make installing those dependencies irrelevant when I don't compile the package myself? – Peter Uithoven Jul 6 '16 at 9:29
  • I can confirm that on ElementaryOS Loki Refshift can be found the AppCenter. But to get it to run I also had to install GeoClue 2 by running sudo apt install geoclue-2.0. – Peter Uithoven Dec 4 '16 at 23:10

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.